<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!DOCTYPE html>
<html>

<head>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f0f8ff; /* 天蓝色背景 */
            color: #333; /* 深色文本 */
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }

        h2 {
            color: #4682b4; /* 天蓝色标题 */
            margin-bottom: 20px;
        }

        form {
            background-color: #ffffff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            width: 300px;
            text-align: center;
        }

        label {
            font-size: 14px;
            color: #4682b4; /* 天蓝色标签 */
            display: block;
            margin-bottom: 8px;
        }

        input {
            width: 100%;
            padding: 8px;
            margin: 8px 0;
            border: 1px solid #ccc;
            border-radius: 4px;
        }

        button {
            background-color: #4682b4; /* 天蓝色按钮 */
            color: white;
            padding: 10px;
            border: none;
            border-radius: 4px;
            width: 100%;
            cursor: pointer;
        }

        button:hover {
            background-color: #5a9bd3; /* 按钮悬停时颜色 */
        }

        a {
            display: block;
            margin-top: 10px;
            color: #4682b4; /* 天蓝色链接 */
            text-decoration: none;
        }

        a:hover {
            text-decoration: underline;
        }

        .message {
            text-align: center;
            margin-top: 20px;
            color: #d9534f; /* 红色错误信息 */
        }
    </style>
    <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
</head>

<body>
    <div>
        <h2>-电脑商城-用户登录</h2>
        <form action="login" method="post">
            <label for="username">用户名:</label>
            <input type="text" id="username" name="username" required><br><br>
            <label for="password">密码:</label>
            <input type="password" id="password" name="password" required><br><br>
            <button type="submit">登录</button>
            <a href="/register">没有账号?去注册</a>
        </form>
        <br>
        <div class="message">${requestScope.msg}</div>
    </div>
</body>

</html>
